Subject: [PATCH v15 07/12] ARM: dts: append hip04 dts

From: [email-masked] (Will Deacon)
Date: Tue, 29 Jul 2014 13:13:01 +0100

On Tue, Jul 29, 2014 at 12:32:09PM +0100, Haojian Zhuang wrote:
> On 29 July 2014 19:12, Will Deacon <[email-masked]> wrote:
> > On Tue, Jul 29, 2014 at 04:53:21AM +0100, Olof Johansson wrote:
> >> On Tue, Jul 29, 2014 at 10:44:40AM +0800, Haojian Zhuang wrote:
> >> > Because I didn't get these materials yet. All clocks are enabled in bootloader.
> >>
> >> What materials? Technical documentation for the CPU you're upstreaming?
> >>
> >> It seems like a very bad idea to upstream a DT for a CPU that you don't
> >> have documentation for. It seems appropriate to wait until you have
> >> documentation so you can make sure that the hardware you're describing
> >> is actually what is there, and not something made-up or misdescribed.
> >
> > I completely agree. Furthermore, given that this SoC implements a dodgy
> > custom GIC, I don't think it's unreasonable for us to ask for documentation
> > describing that too, otherwise it's going to make maintaining a complicated
> > irqchip driver that much worse.
> >
> I don't have enough documents on clocks. And all clocks are already
> enabled in UEFI. There're also no requirement on change the clock
> frequency & disable them. So I set all these clocks as fixed rate.
> 
> It's different from GIC. If I don't have documents on GIC, I can't
> write code for HIP04 GIC. HiP04 GIC supports 16-cores. ARM GICv2
> supports 8-cores. So some registers offsets and bit fields are
> different from GICv2.

Sure, and I'm asking for those documents to be made publicly available
somewhere so that we can refer to them if we need to change this code in
future.

Will